#include <mof/script/ObjectData.hpp>
#include <mof/utilities.hpp>

std::ostream& mof::script::operator <<(std::ostream& os , const GameData& obj)
{
	int index = 0;
	foreach (auto& map, obj.data_) {
		os << "[" << index++ << "]" << std::endl;
		auto itr = map.begin();
		while (itr != map.end()) {
			os << "    " << itr->first << " => ";
			os << itr->second << std::endl;
			++itr;
		}
	}
	return os;	
}

